package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsAlarmInfo;
import com.sckw.slope.detection.model.param.AlarmInfoQuery;
import com.sckw.slope.detection.model.param.DeviceQuery;
import com.sckw.slope.detection.model.vo.DeviceVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
@DS("mysql")
public interface KwsAlarmInfoMapper extends BaseMapper<KwsAlarmInfo> {
    int deleteByPrimaryKey(Long id);

    int insertSelective(KwsAlarmInfo record);

    KwsAlarmInfo selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsAlarmInfo record);

    int updateByPrimaryKey(KwsAlarmInfo record);

    List<DeviceVo> selectByDeviceParam(@Param("query") AlarmInfoQuery query);
}